Bug 634248 - sosreport corosync plugin doesn't pickup files from /etc/corosync
sosreport corosync plugin doesn't pickup files from /etc/corosync
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Pierre Carrier
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-15 12:20 EDT by Gary Smith
Modified: 2010-11-15 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (578 bytes, patch)
2010-11-13 22:42 EST, Pierre Carrier
no flags Details | Diff

  None (edit)
Description Gary Smith 2010-09-15 12:20:15 EDT
Description of problem:
The sosreport corosync plugin runs various tools but doesn't collect the configuration files from /etc/corosync, ie, corosync.conf

Version-Release number of selected component (if applicable):
sos-2.2-2.el6.noarch


How reproducible:
Easily

Steps to Reproduce:
1. Ensure /etc/corosync/* files are present
2. Run "sosreport" or "sosreport -o corosync"
3. Check produced .rpm for corosync config files
  
Actual results:
No corosync config files present in extracted archive

Expected results:
All corosync config files present in extracted archive

Additional info:
I checked original RFE bz#559737 and there's no stated requirement for these files, but I think they should be collected automatically for cluster support issues.
Comment 1 Fedora Admin XMLRPC Client 2010-11-10 08:05:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Pierre Carrier 2010-11-13 22:42:00 EST
Created attachment 460297 [details]
Proposed patch

This patch will be discussed with upstream ASAP.
Comment 3 Pierre Carrier 2010-11-15 09:40:59 EST
Thank you Gary.

https://fedorahosted.org/sos/changeset/990

Note You need to log in before you can comment on or make changes to this bug.